/* $Id: ppmutil.h,v 1.3 1997/04/12 22:32:46 sean Exp sean $ */
/*
$Log: ppmutil.h,v $
Revision 1.3  1997/04/12 22:32:46  sean
*** empty log message ***

Revision 1.2  1995/08/03 18:45:43  sean
Only P6 support.

*/
#ifndef PPMUTIL_H
#define PPMUTIL_H
#include <stdio.h>
#include "matrix.h"

class PPMrast {
 public:
  char *filename;
  int width, height, maxval, counter;
  real inv_width, inv_height;	
  char *r, *g, *b;
  char ppmtype;

  PPMrast(char *);
  int readppm(FILE *);
  v3 getpixel(v2); // return pixel value at (x,y) in bitmap
  void print();
};


void ppmerror(char *complaint, char *filename);
int ppmnum(char *fname, FILE *ppmfile, char firstdigit);
void ppmcomment(char *fname, FILE *ppmfile);

#endif
