/* $Id: ray.h,v 1.4 1997/04/12 22:32:46 sean Exp sean $ */
/*
$Log: ray.h,v $
Revision 1.4  1997/04/12 22:32:46  sean
*** empty log message ***

Revision 1.3  1995/08/03 18:45:43  sean
2D types

*/
#ifndef RAY_H
#define RAY_H
#include "matrix.h"

class ray {
 public:
  v3 origin, direction;
  real index_of_refraction;
  int spawn_level;
  void print();
};

class photon {
 public:
  int red, green, blue;
  real distance;
};

class screen {
  int xres, yres, xpos, ypos, xbegin, xend, ybegin, yend, xcenter, ycenter;
  real magnification;
  v3 origin;
 public:
  void init();
  ray *getray();

};
#endif
