/* $Id: globals.h,v 1.3 1997/04/12 22:32:46 sean Exp sean $ */
/*
$Log: globals.h,v $
Revision 1.3  1997/04/12 22:32:46  sean
*** empty log message ***

Revision 1.2  1995/08/03 18:45:43  sean
Essentially a hack of world parameters

*/
#ifndef GLOBALS_H
#define GLOBALS_H

#include "ppmutil.h"
#include "matrix.h"
#include "lights.h"
#include "surfaces.h"

#define BIGREAL 1000000.0

extern FILE *Rasterfile;
extern FILE *SDLfile;
extern int SCREEN_WIDTH, SCREEN_HEIGHT;
extern real MAGNIFICATION;
extern v3 CAMERA_ORIGIN;
extern m3 WORLD_TRANSFORM;
extern v3 AMBIENT;
extern int HCOUNT, VCOUNT, HCELL, VCELL;
extern LightList *global_lightlist;

#endif
