/* $Id: ray.cc,v 1.5 1997/04/12 22:32:46 sean Exp sean $ */
/*
$Log: ray.cc,v $
Revision 1.5  1997/04/12 22:32:46  sean
*** empty log message ***

Revision 1.4  1995/08/03 18:45:43  sean
type photon obsolited by v3 and csg

*/
#include <stdio.h>
#include "ray.h"
#include "globals.h"
// What's going on?


void screen::init() 
{
  int cellside;
  magnification = MAGNIFICATION;
  xres = SCREEN_WIDTH;
  yres = SCREEN_HEIGHT;
  origin = CAMERA_ORIGIN;
  xcenter = HCOUNT * xres / 2;
  ycenter = VCOUNT * yres / 2;
  cellside = xres;
  xbegin = xpos = HCELL * cellside - xcenter;
  xend = (HCELL + 1) * cellside - xcenter;
  cellside = yres;
  ypos = VCELL * cellside - ycenter;
  yend = (VCELL + 1) * cellside - ycenter;
  // stuff for anti-alias. none, 5cell, and perturb
}

ray* screen::getray()
{
  ray *a_ray;
  
  if (xpos >= xend) {
    ypos++;
    xpos = xbegin;
  }
  xpos++;
  if (ypos >= yend) 
    return NULL;
  a_ray = new ray;
  a_ray->origin = origin;
  a_ray->direction = v3( (real) xpos / (real) xcenter,
			(real) ypos / (real) ycenter,
			magnification);
  a_ray->direction = a_ray->direction.unit();
  a_ray->spawn_level = 0;
  return a_ray;
}

void ray::print() 
{
  printf("ray at ");
  origin.print();
  printf("\t\t direction ");
  direction.print();
}
